小弟是新手,求教各位先進~~

 

在此冒昧請教前輩們一個問題,為什麼下載MetaTrade4時搭配提供的卻是metaeditor5編程軟體呢? 如果未來想在MetaTrade4執行程式交易,那是不是需要另外去找Metaeditor4來下載,而且應該學習的是MQL4語言,這樣才能搭配使用呢? 感謝大家指教囉~~ 

 
JL Wang:

在此冒昧請教前輩們一個問題,為什麼下載MetaTrade4時搭配提供的卻是metaeditor5編程軟體呢? 如果未來想在MetaTrade4執行程式交易,那是不是需要另外去找Metaeditor4來下載,而且應該學習的是MQL4語言,這樣才能搭配使用呢? 感謝大家指教囉~~ 

因為現在公司主推MT5,所以在官網只提供MT5軟體。 (在台灣稱之為軟體,於國內名其曰軟件)

MT4和MT5是不兼容的,需要哪個下載哪個。

另外,MQL5是技術網站,如果想進行真實交易的話,你需要找一個可靠的交易平台進行交易。交易平台會提供MT4和MT5的交易服務。

MQL5入金前请确认:MQL5是技术公司

【版主直辖议题】自动交易平台择优方法论 

MQL5入金前请确认:MQL5是技术公司
MQL5入金前请确认:MQL5是技术公司
  • 2020.10.30
  • www.mql5.com
MetaQuotes Ltd不是金融机构,不提供金融服务。 所以你在MQL5里存的钱,只可以购买自动交易相关技术,不能直接用于真实交易...
 
JL Wang:

在此冒昧請教前輩們一個問題,為什麼下載MetaTrade4時搭配提供的卻是metaeditor5編程軟體呢? 如果未來想在MetaTrade4執行程式交易,那是不是需要另外去找Metaeditor4來下載,而且應該學習的是MQL4語言,這樣才能搭配使用呢? 感謝大家指教囉~~ 

mt4和mt5的“metaeditor”编程软体版本都是5,但编译后的默认文件一个是ex4 ,一个是ex5,完全不一样,不存在去找 Metaeditor4的问题 ,两种语言是不通用的,用错了函数,你也不能编译通过的

 
JL Wang:

在此冒昧請教前輩們一個問題,為什麼下載MetaTrade4時搭配提供的卻是metaeditor5編程軟體呢? 如果未來想在MetaTrade4執行程式交易,那是不是需要另外去找Metaeditor4來下載,而且應該學習的是MQL4語言,這樣才能搭配使用呢? 感謝大家指教囉~~ 

个人觉得反而是官方赋予了 MetaTrade4更长久的活力和功能,让所谓的MQL4很多地方与MQL5是兼容的(但不是完全本质上还是有差异的)

所以呢 Metaeditor干脆就都是5.0了,没毛病!

 

为了普及mql5,反而是官方赋予了MQL5很多地方与MQL4是兼容的
原因: